package com.jiayue.center.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 系统告警表
 *
 * @author xsl
 * @version 3.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "sys_alarm")
public class SysAlarm extends BaseEntity{
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 告警内容
     */
    private String alarmContent;
    /**
     * 读取标识
     */
    private String readSign;
}
