package com.jiayue.center.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jiayue.center.entity.Nwp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 *  NwpMapper
 *
 * @author xsl
 * @since 2023-03-10
 */
@Mapper
public interface NwpMapper extends BaseMapper<Nwp> {
    @Select("SELECT t.* FROM t_nwp t WHERE t.pre_time>= #{startTime} and t.pre_time<= #{endTime} order by t.pre_time")
    public List<Nwp> findByPreTimeBetween(@Param("startTime") Long startTime, @Param("endTime") Long endTime);
}
