package com.jiayue.center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.center.entity.Nwp;

import java.util.List;
import java.util.Map;


/**
* 短期接口
* @author xsl
* @date 2023/2/16
*/
public interface NwpService extends IService<Nwp> {
    /**
     * 按时间段删除数据
     *
     * @param startTime
     * @param endTime
     * @param listNwp
     */
    void deleteBetweenAndPreTime(Long startTime, Long endTime, List<Nwp> listNwp);
    /**
     * 按时间查询实时预测短期
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 结果集
     */
    Map<String, Object> findByPreTimeBetween(Long startTime, Long endTime);
}
