package com.jiayue.center.constant;

import com.jiayue.center.dto.UserVisitInfoDto;

import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

/**
* 登录用到的常量
*
* @author xsl
* @since 2023/03/20
*/
public class LoginConstants {
    /**
     * 登录锁定后多久时间重试（毫秒）
     */
    public static final Long LOGIN_LOCK = 100000L;

    /**
     * 并发会话存储<用户名,访问信息>
     */
    public static ConcurrentMap<String, UserVisitInfoDto> sessionMap = new ConcurrentHashMap<>();
}
